import tseslint from 'typescript-eslint'

export default tseslint.config(
    ...tseslint.configs.recommendedTypeChecked,
    ...tseslint.configs.stylisticTypeChecked,
    {
        files: ['**/*.ts', '**/*.tsx', '**/*.cts', '**/*.mts'],
        languageOptions: {
            parser: tseslint.parser,
            parserOptions: {
                ecmaVersion: 'latest',
                project: ['./tsconfig.json', './tsconfig.eslint.json'],
            },
        },
        rules: {
            'jsdoc/require-jsdoc': 'off',
        },
    },
    {
        // disable type-aware linting on JS files
        files: ['**/*.js'],
        ...tseslint.configs.disableTypeChecked,
    },
)
